Bug 1729210 - Procedures to reclaim databases space are located in different places
Summary: Procedures to reclaim databases space are located in different places
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Documentation
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: 6.7.0
Assignee: Sergei Petrosian
QA Contact: Tahlia Richardson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-11 15:09 UTC by Sergei Petrosian
Modified: 2020-04-23 10:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-23 10:44:54 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Sergei Petrosian 2019-07-11 15:09:23 UTC
Document URL: 
https://access.redhat.com/documentation/en-us/red_hat_satellite/6.5/html-single/upgrading_and_updating_red_hat_satellite/index#reclaiming_postgresql_space_after_an_upgrade

https://access.redhat.com/documentation/en-us/red_hat_satellite/6.5/html/administering_red_hat_satellite/chap-red_hat_satellite-administering_red_hat_satellite-maintaining_a_red_hat_satellite_server#sect-Red_Hat_Satellite-Administering_Red_Hat_Satellite-Reclaiming_Disk_Space_from_MongoDB

Section Number and Name: 
U&U guide: 4.5. Reclaiming PostgreSQL Space After an Upgrade
Administering guide: 11.5. Reclaiming Disk Space from MongoDB

Describe the issue: 
The sections are very related to each other but they reside in different guides, so it is complicated to find one after finishing another.

Suggestions for improvement: 
1. Review the section about cleaning MongoDB because it is outdated. For example it uses systemctl instead of foreman-maintain to stop and start services. The correct command must be the following:

# foreman-maintain service stop --only pulp_celerybeat.service,pulp_resource_manager.service,pulp_streamer.service,pulp_workers.service

# foreman-maintain service start

2. Possible verify the secion on reclaiming MongoDB space with pmoravec.

2. I suggest reusing the sections in both Admin and U&U guides. They belong to the admin guide because they really have something to do with Maintaining Satellite Server. And they belong to the U&U guide because cleaning space after an upgrade is a real post-upgrade task, because during the upgrade lots of space is taken by backups.

3. In the U&U guide, the section 4.4. Upgrading the MongoDB Storage Engine refers to the KCS article  How to compact MongoDB files and/or reclaim disk space in "/var/lib/mongodb" in Satellite 6? [1]. The reference should point to the corresponding section in our docs, not to a KCS article. I linked the KCS article because did not know that such section exists in our documentation.

Additional information: 

[1] https://access.redhat.com/solutions/3052771

Comment 1 Sergei Petrosian 2020-03-11 14:48:25 UTC
Hi Pavel,

In this MR, I am placing procedures that reclaim space for MongoDB and PostgreSQL databases. The procedure for MongoDB was outdated, it used systemctl instead of satellite-maintain. Also, its steps differ from the steps in the KB article How to compact MongoDB files and/or reclaim disk space in "/var/lib/mongodb" in Red Hat Satellite or Capsule 6? [1]. 

Please verify that steps in 4.4. Reclaiming MongoDB Space and 4.5. Reclaiming PostgreSQL Space:
https://cee-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/job/CCS/job/ccs-mr-preview/4961/artifact/doc-Upgrading_and_Updating_Red_Hat_Satellite/preview/index.html#reclaiming-mongodb-space_upgrade-guide

Git Diff:
https://gitlab.cee.redhat.com/satellite-6-documentation/docs-Red_Hat_Satellite_6/merge_requests/1220/diffs

Thank you

[1] https://access.redhat.com/solutions/3052771

Comment 2 Pavel Moravec 2020-03-31 14:20:53 UTC
(In reply to Sergei Petrosian from comment #1)
> Hi Pavel,
> 
> In this MR, I am placing procedures that reclaim space for MongoDB and
> PostgreSQL databases. The procedure for MongoDB was outdated, it used
> systemctl instead of satellite-maintain. Also, its steps differ from the
> steps in the KB article How to compact MongoDB files and/or reclaim disk
> space in "/var/lib/mongodb" in Red Hat Satellite or Capsule 6? [1]. 
> 
> Please verify that steps in 4.4. Reclaiming MongoDB Space and 4.5.
> Reclaiming PostgreSQL Space:
> https://cee-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/job/CCS/job/ccs-mr-
> preview/4961/artifact/doc-Upgrading_and_Updating_Red_Hat_Satellite/preview/
> index.html#reclaiming-mongodb-space_upgrade-guide
> 
> Git Diff:
> https://gitlab.cee.redhat.com/satellite-6-documentation/docs-
> Red_Hat_Satellite_6/merge_requests/1220/diffs
> 
> Thank you
> 
> [1] https://access.redhat.com/solutions/3052771

The diff sounds good to me. Similar steps are in https://access.redhat.com/solutions/3190172 (3052771 is dup of this one), the differences between your procedure and the one in 3190172 are subtle and both are imho valid.

Sorry it took so long to respond, the time is challenging now.


Note You need to log in before you can comment on or make changes to this bug.